@use "../../../../styles/variables/colors.scss";

.cover-photo__viewport {
  position: relative;
  width: 100%;
  height: 520px;

  box-sizing: border-box;
  border-radius: 8px;

  overflow: hidden;
  background-color: colors.$bg_cover-photo;
  cursor: pointer;

  &::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;

    border-radius: 8px;
    background: linear-gradient(
      180deg,
      rgba(24, 25, 26, 0) 0%,
      rgba(24, 25, 26, 0.5) 85%,
      rgba(9, 10, 10, 0.85) 95%,
      rgb(0, 0, 0, 0.95) 100%
    );
  }

  &:hover:not(:has(.cover-btn-bar:hover))::before {
    filter: contrast(0.9);
  }

  @media (max-width: 1250px) {
    height: 41.6vw;
  }
}

.cover-photo__img {
  width: 100%;
  height: 100%;

  object-fit: cover;
}

.cover-btn-bar {
  position: absolute;
  bottom: 0px;
  width: 100%;
  height: 74px;

  box-sizing: border-box;
  cursor: default;

  @media (max-width: 1250px) {
    height: 60px;
  }

  .btn.cover-btn-edit {
    position: absolute;
    right: 2rem;
    bottom: 1rem;

    @media (min-width: 1219px) and (max-width: 1249px) {
      right: 1.5rem;
    }
    @media (max-width: 1218px) {
      right: 1rem;
    }
  }
}

.btn.cover-btn-edit {
  .btn-span-edit {
    @media (max-width: 899px) {
      display: none;
    }
  }

  @media (max-width: 899px) {
    min-width: 48px;
  }
}
